Bug 574981 - Review Request: rubygem-moneta - A unified interface to key/value stores
Summary: Review Request: rubygem-moneta - A unified interface to key/value stores
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-19 01:48 UTC by Matthew Kent
Modified: 2010-09-11 19:50 UTC (History)
3 users (show)

Fixed In Version: rubygem-moneta-0.6.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-28 15:55:23 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Kent 2010-03-19 01:48:15 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-moneta.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-moneta-0.6.0-1.fc14.src.rpm
Description: Moneta provides a standard interface for interacting with various kinds of key/value stores including Memcache, Redis, CouchDB, Berkeley DB and many more.

rpmlint /var/tmp/results/rubygem-moneta-* | grep -v '/1.8/doc/'
rubygem-moneta.src: W: no-buildroot-tag
rubygem-moneta-doc.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 118 warnings.
(skipping the unexpanded-macro warnings in docs)

Build logs here https://koji.fedoraproject.org/koji/taskinfo?taskID=2062263

There is a test suite but it's not shipped in the gem - much of it would be difficult to run as it depends on various daemons.

Comment 1 Mamoru TASAKA 2010-03-23 17:48:33 UTC
Well, actually this gem itself does not contain any test program.
And this gem is very simple in its packaging.

- srpm meets rubygem and other packaging guidelines
- license correct
- rebuilt binary rpm can correctly be installed
- ruby -rubygems -e "require 'moneta'" works
- ruby -rubygems -e "gem 'moneta'" works

---------------------------------------------------------------
  This package (rubygem-moneta) is APPROVED by mtasaka
---------------------------------------------------------------

Comment 2 Matthew Kent 2010-03-23 19:20:55 UTC
Thank you for the review!

Comment 3 Matthew Kent 2010-03-23 19:21:20 UTC
New Package CVS Request
=======================
Package Name: rubygem-moneta
Short Description: A unified interface to key/value stores
Owners: mkent
Branches: F-11 F-12 F-13
InitialCC:

Comment 4 Kevin Fenzi 2010-03-24 03:28:12 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-27 23:13:39 UTC
rubygem-moneta-0.6.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-moneta-0.6.0-1.fc11

Comment 6 Fedora Update System 2010-03-27 23:14:25 UTC
rubygem-moneta-0.6.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-moneta-0.6.0-1.fc12

Comment 7 Fedora Update System 2010-03-27 23:15:13 UTC
rubygem-moneta-0.6.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-moneta-0.6.0-1.fc13

Comment 8 Mamoru TASAKA 2010-03-28 15:55:23 UTC
Closing.

Comment 9 Fedora Update System 2010-03-30 02:17:26 UTC
rubygem-moneta-0.6.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-30 02:23:30 UTC
rubygem-moneta-0.6.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-09 04:04:46 UTC
rubygem-moneta-0.6.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Michael Stahnke 2010-09-10 20:31:22 UTC
Package Change Request
======================
Package Name: rubygem-moneta
New Branches: el5 el6
Owners: stahnma


mkent is aware of request.

Comment 13 Kevin Fenzi 2010-09-11 19:50:30 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.